[Debtags-commits] [svn] r2083 - debtags/1.6.0

Enrico Zini enrico at alioth.debian.org
Sat Nov 18 13:33:18 CET 2006


Author: enrico
Date: Sat Nov 18 13:33:17 2006
New Revision: 2083

Modified:
   debtags/1.6.0/   (props changed)
   debtags/1.6.0/get_tags
Log:
 r3662 at viaza:  enrico | 2006-11-18 13:32:40 +0100
 Get the reviewed tags instead of the Alioth database


Modified: debtags/1.6.0/get_tags
==============================================================================
--- debtags/1.6.0/get_tags	(original)
+++ debtags/1.6.0/get_tags	Sat Nov 18 13:33:17 2006
@@ -2,20 +2,11 @@
 
 # Prepare a fresh version of the tags database
 
-SOURCE=http://debtags.alioth.debian.org/tags/
+echo "Exporting a new version of the reviewed tags from SVN..."
 
-wget -O- ${SOURCE}tags-current.gz | gunzip | tagcoll copy | gzip -9 > tags-current.gz
-
-if [ `zcat tags-current.gz | wc -c` = 0 ]
+if ! svn cat svn+ssh://svn.debian.org/svn/debtags/tagdb/tags | tagcoll copy | gzip -9 > tags-current.gz
 then
-	CACHED='/var/cache/debtags/debtags.alioth.debian.org_tags_tags-current.gz'
-	if [ -f "$CACHED" ]
-	then
-		echo "Falling back to locally cached copy in $CACHED"
-		cat $CACHED | gzip -9 > tags-current.gz
-	else
-		echo "Cannot find a good source to generate tags-current.gz" >&2
-		exit 1
-	fi
+	echo "Cannot find a good source to generate tags-current.gz" >&2
+	exit 1
 fi
 exit 0



More information about the Debtags-commits mailing list